Bug 198295 - drivers/mtd/maps/netsc520.mod.c:36: internal compiler error: in pop_scope, at c-decl.c:855
Summary: drivers/mtd/maps/netsc520.mod.c:36: internal compiler error: in pop_scope, at...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-10 21:04 UTC by chris
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 10:43:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description chris 2006-07-10 21:04:31 UTC
Trying to compile kernel on a Via C7 board:

[chris@venus ~]$ uname -ar
Linux venus.aeronix.com 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686
i686 i386 GNU/Linux


Here's a history of commands:

   71  cp ../kernel-2.6.15-i686.config .config
   72  vi Makefile

#EXTRAVERSION = -prep
EXTRAVERSION = 1.2054_FC5

   75  make oldconfig
   76  make
   77  history

Here's the tail end of the make:

  LD [M]  drivers/mtd/devices/mtdram.ko
  CC      drivers/mtd/devices/pmc551.mod.o
  LD [M]  drivers/mtd/devices/pmc551.ko
  CC      drivers/mtd/ftl.mod.o
  LD [M]  drivers/mtd/ftl.ko
  CC      drivers/mtd/inftl.mod.o
  LD [M]  drivers/mtd/inftl.ko
  CC      drivers/mtd/maps/map_funcs.mod.o
  LD [M]  drivers/mtd/maps/map_funcs.ko
  CC      drivers/mtd/maps/netsc520.mod.o
drivers/mtd/maps/netsc520.mod.c:36: internal compiler error: in pop_scope, at
c-decl.c:855
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[1]: *** [drivers/mtd/maps/netsc520.mod.o] Error 1
make: *** [modules] Error 2


I attempted to follow the instructions from:
file:///usr/share/doc/HTML/index.html#id287544

Comment 1 Jakub Jelinek 2006-08-07 10:43:15 UTC
This is not a GCC bug, as it is not reproduceable.
Usually that's sign of a bad memory, overheated CPU or some other hardware
problems.


Note You need to log in before you can comment on or make changes to this bug.